'''Game main module.

Contains the entry point used by the run_game.py script.

Feel free to put all your game code here, or in other modules in this "lib"
directory.
'''
	
import data
import sys
import os
try:
	import pygame
except:
	print "This game requires PyGame - please see the readme" 
	sys.exit(1)

import BkMain

def main():
	print data.load('version.txt').read()
	
	pygame.init()
	
	sys.path.append(os.path.join("windows"))
	try:
		import psyco
		psyco.full()
	except:
		sys.path.remove(os.path.join("windows"))
		try:
			import psyco
			psyco.full()
		except:
			print "Psyco import error. Game will continue, but may be a bit slow..."
		
	BkMain.runGame()
	
	pygame.quit()
	sys.exit(1)
